"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DNumbers = void 0;
const DPoint_1 = require("./DPoint");
const delta = 0.001;
class DNumbers {
    static like(v, s, d = delta) {
        return Math.abs(v - s) < d;
    }
    static likeZero(v) {
        return DNumbers.like(v, 0);
    }
    static like2PI(v) {
        return DNumbers.like(DNumbers.rad2Deg(v), DPoint_1.DOUBLE_PI_IN_DEGREE);
    }
    static likePI(v) {
        return DNumbers.like(DNumbers.rad2Deg(v), DPoint_1.PI_IN_DEGREE);
    }
    static rad2Deg(v) {
        return v * DPoint_1.DEGREE_TO_PI;
    }
    static deg2Rad(v) {
        return v * DPoint_1.PI_TO_DEGREE;
    }
}
exports.DNumbers = DNumbers;
