import { DPoint } from './DPoint';
import { DPolygon } from './DPolygon';
export declare enum TraceMatrixValues {
    f = 0,
    t = 1
}
declare type SimpleMatrix = TraceMatrixValues[][];
export declare class TraceMatrix {
    private readonly m;
    private readonly size;
    constructor(size: DPoint, f: (p: DPoint) => TraceMatrixValues);
    fullMatrixTrace(): DPolygon[];
    private reverseMatrix;
    private findGroupByIndex;
    private findMarked;
    private totalCountInMatrix;
    private findAllGroupsInMatrix;
    private traceGroup;
    private createHoleMatrix;
    static createMatrix(size: DPoint, f?: (pos: DPoint) => TraceMatrixValues): SimpleMatrix;
}
export {};
