import { DPoint } from './DPoint';
import { DPolygon } from './DPolygon';
export declare class DCircle {
    center: DPoint;
    r: number;
    constructor(center: DPoint, r: number);
    toString(): string;
    getValue(): {
        center: DPoint;
        r: number;
    };
    clone(): DCircle;
    /**
     * Find intersection points with other circle.
     * @param c
     */
    findPoints(c: DCircle): DPoint[] | number;
    equal({ center, r }: DCircle): boolean;
    findPolygonInside(pointCount?: number): DPolygon;
    findPolygonInsideOnSphere(pointCount?: number): DPolygon;
    private sphereOffset;
}
